Opened 13 years ago

Closed 11 years ago

Last modified 11 years ago

#10842 closed defect (fixed)

BUG: qemu doesn't compile with gcc4

Reported by: canela@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: Cc: markd@…, ryandesign (Ryan Schmidt)
Port: qemu

Description (last modified by jmroot (Joshua Root))

 sudo port -vc install qemu +macosx [[BR]]
--->  Fetching qemu [[BR]]
--->  Verifying checksum(s) for qemu [[BR]]
--->  Checksumming qemu-0.8.1.tar.gz [[BR]]
--->  Extracting qemu [[BR]]
--->  Extracting qemu-0.8.1.tar.gz [[BR]]
--->  Applying patches to qemu [[BR]]
--->  Applying  /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/emulators/qemu/files/patch-configure
patching file configure  [[BR]]
Hunk #1 succeeded at 487 (offset 181 lines). [[BR]]
Hunk #2 succeeded at 562 with fuzz 2 (offset 202 lines). [[BR]]
--->  Configuring qemu [[BR]]
Compiler /usr/bin/gcc-3.3 could not be found [[BR]]
--->  Building qemu with target all [[BR]]
Makefile:1: config-host.mak: No such file or directory [[BR]]
make: *** No rule to make target `config-host.mak'.  Stop. [[BR]]
Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dports/build/_opt_local_var_db_dports_sources_rsync.rsync.darwinports.org_dpupdate_dports_emulators_qemu/work/qemu-0.8.1" && make all" returned error 2 [[BR]]
Command output: Makefile:1: config-host.mak: No such file or directory [[BR]]
make: *** No rule to make target `config-host.mak'.  Stop. [[BR]]

Warning: the following items did not execute (for qemu): com.apple.activate [[BR]] com.apple.build com.apple.destroot com.apple.archive com.apple.install [[BR]]
Error: Status 1 encountered during processing. [[BR]]

Qemu looks for gcc-3.3 and can't find it, but on my system is right where qemu looks (/usr/bin/gcc-3.3).

Change History (18)

comment:1 Changed 13 years ago by markd@…

I assume you're on Intel? I get the same error. I think all ports requiring gcc3 are broken on Intel. If so the summary line should be changed to qemu doesn't compile on Intel and it will just have to set until the app is updated. Meantime, there is an offshot of this project that is a binary. http://www.kju-app.org/kju/ Or parallels. :)

comment:2 Changed 13 years ago by canela@…

No sorry, I'm on ppc I forgot to mention this.

comment:3 Changed 13 years ago by markd@…

Cc: markd@… added

Hmmn. I suppose it must build it with the default compiler then. Have you tried gcc_select 3.3 before installing it? If that works maybe it would be worth some more effort to fix it. If not only app updates would fix it anyway.

comment:4 Changed 13 years ago by pmq@…

Owner: changed from yeled@… to pmq@…
Summary: [BUG] qemu doesn't compileBUG: qemu doesn't compile

comment:5 Changed 13 years ago by pmq@…

Status: newassigned

Assigning it to me. I provided the last update, and will shortly commit a bump to 0.8.2 and an additional patch. As per you original bug report, I have no idea what happened. Let's first see if you can reproduce on the new version, then we'll elaborate.

comment:6 Changed 13 years ago by pmq@…

Resolution: fixed
Status: assignedclosed

OK. I'll close the bug as fixed, but feel free to reopen it if you were to still experience the problem.

comment:7 Changed 13 years ago by thomaslenoir@…

Resolution: fixed
Status: closedreopened

I get similar error with qemu 0.9.0 on Intel (even after a gcc_select 3.3)

Error: Target com.apple.configure returned: configure failure: shell command "cd "/opt/local/var/db/dports/build/_opt_local_var_db_dports_sources_rsync.rsync.darwinports.org_dpupdate_dports_emulators_qemu/work/qemu-0.9.0" && ./configure --prefix=/opt/local --enable-coreaudio --enable-cocoa --cc=/usr/bin/gcc-3.3 --host-cc=/usr/bin/gcc-3.3 --interp-prefix=/opt/local/share/qemu-%M" returned error 1 Command output: ERROR: "/usr/bin/gcc-3.3" either does not exist or does not work

comment:8 Changed 13 years ago by pmq@…

Milestone: Available Ports

Hi Thomas, The patches to make it work are at http://gwenole.beauchesne.info/projects/qemu/. It is probably just a matter of editing the Portfile to add the 2 (or 3, if qemu-0.8.0-i386-FORCE_RET.patch is needed) ones. As I don't have an x86 machine, please send me a diff if you succeed.

comment:9 Changed 13 years ago by pmq@…

Cc: pmq@… added

comment:10 Changed 13 years ago by pipping@…

Milestone: Available PortsPort Bugs

comment:11 Changed 13 years ago by arto.bendiken@…

Looks like the best set of patches is at http://www.kju-app.org/proj/browser/trunk/patches from the Q project.

comment:12 Changed 13 years ago by pmq@…

Priority: BlockerNice to have

@ arto: it seemed to me when I had a look that they were the same, I might be wrong though.
Downgrading severity, as no one seems to care enough to patch/lend a hand on having access to an x86 machine.

comment:13 Changed 12 years ago by nox@…

Priority: Nice to haveLow

comment:14 Changed 12 years ago by pmq@…

Cc: pmq@… removed
Owner: changed from pmq@… to macports-tickets@…
Priority: LowNormal
Status: reopenednew
Summary: BUG: qemu doesn't compileBUG: qemu doesn't compile with gcc4
Version: 1.3.21.6.0

The new patches for 0.9.1 are at http://svn.kju-app.org/trunk/qemu/patches/. I just orphaned the port because I'm doing it a disservice by not updating it.

comment:15 Changed 11 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added
Keywords: ticketformatting added

comment:16 Changed 11 years ago by jmroot (Joshua Root)

Description: modified (diff)
Keywords: ticketformatting removed

comment:17 Changed 11 years ago by blb@…

Keywords: qemu removed
Port: qemu added
Resolution: fixed
Status: newclosed

Rainer updated qemu to 0.10.1 in r48837 which does build with gcc4.

comment:18 Changed 11 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.